1. Orders - Vendor
3enab
🏪 Vendor Application
  • 👤 User Application
  • 🏪 Vendor Application
  • 👨‍💼 Admin Application
  • 🚚 Delivery Application
  • Auth - Vendor
    • Register a new vendor user
      POST
    • Login vendor
      POST
    • Logout vendor
      POST
    • Refresh access token
      POST
    • Send phone OTP
      POST
    • Verify phone OTP
      POST
    • Send password reset OTP
      POST
    • Verify password reset OTP
      POST
    • Reset password
      POST
  • Items - Vendor
    • Create a new item
      POST
    • Get all items in a category
      GET
    • Get a single item by ID
      GET
    • Update an item
      PUT
    • Delete an item
      DELETE
    • Create a variant for an item
      POST
    • Update item status
      PATCH
    • Get all variants of an item
      GET
    • Upload item image
      POST
    • Update item availability
      PATCH
    • Update item group availability
      PATCH
    • Move item to another menu category
      PATCH
    • Update item active status
      PATCH
    • Update item discount
      PATCH
    • Remove item discount
      DELETE
    • Apply discount to all vendor items
      PATCH
    • Remove discount from all vendor items
      DELETE
    • Update items order
      PATCH
  • Menu Categories - Vendor
    • Create a new menu category for a vendor
    • Get all menu categories for a vendor
    • Get a single menu category by ID
    • Update a menu category
    • Delete a menu category
    • Update menu category active status
    • Update ordering for menu categories
  • Rates - Vendor
    • Get all ratings for vendor
    • Get a specific rating by ID
  • Users - Vendor
    • Get current vendor user profile
    • Update current vendor user profile
    • Delete current vendor user account
    • Change vendor user password
  • Vendor Categories - Vendor
    • Get all active vendor categories
    • Get a vendor category by ID
  • Vendors - Vendor
    • Get my vendors
    • Create a new vendor
    • Update vendor
    • Delete vendor
    • Upload vendor logo
    • Get vendor logo
    • Update vendor active status
    • Update vendor availability status
    • Create or update vendor notice
    • Upload vendor cover image
    • Delete vendor notice
    • Delete vendor cover image
    • Upload notice image
    • Update vendor preparation time
    • Delete notice image
  • Orders - Vendor
    • Get all orders for vendor
      GET
    • Get order by ID
      GET
    • Cancel order by vendor
      DELETE
    • Update order status
      PATCH
  • Versions - Vendor
    • Get the latest version for Vendor app
  1. Orders - Vendor

Update order status

PATCH
/api/v1/vendor/orders/{orderId}/status
Update the status of an order. Only vendors owned by the authenticated user can update their order status

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
API Key
Add parameter in header
x-api-key
Example:
x-api-key: ********************
or
Path Params

Body Params application/jsonRequired

Example
{
    "status": "pending"
}

Responses

🟢200OK
application/json
Order status updated successfully
Body

Example
{
    "status": "success",
    "message": "Order status updated successfully",
    "data": {
        "order": {
            "_id": "64f1a2b3c4d5e6f7890a1234",
            "orderNumber": 1,
            "user": "64f1a2b3c4d5e6f7890a5678",
            "vendor": "64f1a2b3c4d5e6f7890a9999",
            "assignedDriver": "64f1a2b3c4d5e6f7890a6666",
            "items": [
                {
                    "item": {
                        "_id": "64f1a2b3c4d5e6f7890a1234",
                        "name": "Margherita Pizza",
                        "description": "Classic Italian pizza with fresh mozzarella and basil",
                        "imagePath": "uploads/items/pizza.jpg",
                        "optionName": "Large",
                        "category": {
                            "_id": "64f1a2b3c4d5e6f7890a1111",
                            "name": "Pizza"
                        }
                    },
                    "optionId": "64f1a2b3c4d5e6f7890a5555",
                    "optionValue": "Large",
                    "quantity": 2,
                    "unitPrice": 50,
                    "totalPrice": 100
                }
            ],
            "subtotal": 150,
            "discount": 20,
            "deliveryFee": 15,
            "total": 145,
            "appliedCoupon": "64f1a2b3c4d5e6f7890a8888",
            "status": "pending",
            "address": "64f1a2b3c4d5e6f7890a7777",
            "paymentMethod": "cash",
            "isPickup": false,
            "notes": "Please ring the bell twice",
            "rejectionReason": "Out of stock",
            "createdAt": "2019-08-24T14:15:22.123Z",
            "updatedAt": "2019-08-24T14:15:22.123Z"
        }
    }
}
🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Not Found
Modified at 2026-04-08 13:49:19
Previous
Cancel order by vendor
Next
Get the latest version for Vendor app
Built with